Compare commits

...

No commits in common. "c9-beta" and "c9s" have entirely different histories.
c9-beta ... c9s

11 changed files with 68 additions and 2 deletions

5
.gitignore vendored
View File

@ -1 +1,4 @@
SOURCES/mptcpd-0.8.tar.gz
/mptcpd-0.5.1.tar.gz
/mptcpd-0.6.tar.gz
/mptcpd-0.7.tar.gz
/mptcpd-0.8.tar.gz

View File

@ -1 +1 @@
a75235d98b7d2ab1ed71e0bd9d1683e6da462bfb SOURCES/mptcpd-0.8.tar.gz
a75235d98b7d2ab1ed71e0bd9d1683e6da462bfb mptcpd-0.8.tar.gz

6
gating.yaml Normal file
View File

@ -0,0 +1,6 @@
--- !Policy
product_versions:
- rhel-9
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}

1
sources Normal file
View File

@ -0,0 +1 @@
SHA512 (mptcpd-0.8.tar.gz) = acbbc9d42f8d233ea62276f20034a602395945a95b189c123a222d0312840693872b450233e254b3f2a32dae9265c32f5cd5a1de8c2093755f670aba4d267936

44
tests/sanity/mptcpd.sh Executable file
View File

@ -0,0 +1,44 @@
#!/bin/bash
set -e
exec 3>&1
export LANG=C
pretty() { echo -e "\x1b[32m\x1b[1m[+] ${1:+NS$1: }${2}\x1b[0m" >&3; }
pp() { pretty "" "$*"; "$@"; }
slp() { read -t "$1" -N 1 || true; }
do_cleanup() {
set +e
exec 2>/dev/null
pp systemctl stop mptcp
pp ip link del dev mptcp-dummy0 || true
# note: endpoints are still present after interface removal
pp ip mptcp endpoint flush || true
}
trap do_cleanup EXIT
do_setup() {
ip mptcp endpoint flush || true
ip link del dev mptcp-dummy0 2>/dev/null || true
pp modprobe dummy
pp systemctl restart mptcp
# settle to allow addition of all endpoints
sleep 5
pp systemctl is-active --quiet mptcp
pp ip mptcp limits set add_addr_accepted 8 subflows 8
pp ip link add name mptcp-dummy0 type dummy
pp ip link set dev mptcp-dummy0 up
pp ip address add dev mptcp-dummy0 192.0.2.10/24
}
do_check0() {
# settle to allow addition of all endpoints
sleep 5
pp ip mptcp endpoint show | grep "192\.0\.2\.10.*dev mptcp-dummy0"
pp echo done
}
do_setup
do_check0

12
tests/tests.yml Normal file
View File

@ -0,0 +1,12 @@
# Tests for mptcpd
- hosts: localhost
roles:
- role: standard-test-basic
required_packages:
- iproute
tags:
- classic
tests:
- sanity-tests:
dir: ./sanity
run: mptcpd.sh